Subject: Re: [TAG] Compile on one, run on another machine

From: Thomas Adam <[email-masked]>
Date: Sun, 14 Mar 2004 21:47:21 +0000 (GMT)

** fwd onto TAG, grrr at clueless querents **

 --- Ferenc-Jan <[email-masked]> wrote: 
> Hi,
> Thanks for your email!

No problem.

> > I'm not quite sure what it is you're asking. If it is "how can I
> > compile applications such that I can minimise the number of (likely)
> > errors", then the answer is to compile it statically so that the
> > application doesn't have to go using any external libraries. Thr only
> > disadvantage with this is that the resultant binary is often very
> > large.
> 
> What I want to do is compile stuff on a different machine than the 
> machine it eventually runs on. Strictly speaking not cross compiling, 
> because it's all intel architecture. 

Ok.

> Anyway, another helpful soul came up with the answer on usenet: make 
> prefix=/tmp/foo install. That is exactly what I'm looking for. With 
> this I can drop everything in an empty dir, gzip it, move it to 
> another machine and unpack it & run it. Never thought it would be 
> this simple, I tried this with configure --prefix=/tmp/foo, but 
> that's where /tmp/foo gets into the compiled files.

Great.

-- Thomas Adam

=====
"The Linux Weekend Mechanic" -- http://linuxgazette.net
"TAG Editor"                 -- http://linuxgazette.net

"<shrug> We'll just save up your sins, Thomas, and punish 
you for all of them at once when you get better. The 
experience will probably kill you. :)"

 -- Benjamin A. Okopnik (Linux Gazette Technical Editor)

___________________________________________________________
Yahoo! Messenger - Communicate instantly..."Ping" 
your friends today! Download Messenger Now 
http://uk.messenger.yahoo.com/download/index.html
_______________________________________________
TAG mailing list
[email-masked]
http://linuxgazette.net/mailman/listinfo/tag